"""Add components table

Revision ID: ce804e4cbf3d
Revises: a0922fced493
Create Date: 2022-03-06 19:48:43.124523

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "ce804e4cbf3d"
down_revision = "a0922fced493"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "components",
        sa.Column("id", sa.Integer(), sa.Identity(always=False), nullable=False),
        sa.Column(
            "created_at", sa.DateTime(), server_default=sa.text("now()"), nullable=True
        ),
        sa.Column(
            "updated_at", sa.DateTime(), server_default=sa.text("now()"), nullable=True
        ),
        sa.Column("deleted_at", sa.DateTime(), nullable=True),
        sa.Column("deleted", sa.Boolean(), nullable=True),
        sa.Column("component_number", sa.Text(), nullable=False),
        sa.Column("description", sa.Text(), nullable=False),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("component_number"),
    )
    op.create_foreign_key(
        None,
        "tickets",
        "components",
        ["component_id"],
        ["component_number"],
        ondelete="SET NULL",
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "tickets", type_="foreignkey")
    op.drop_table("components")
    # ### end Alembic commands ###
